> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-ad-account-provisioning-setup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Invokes the c1.api.settings.v1.SessionSettingsService.Get method.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/settings/session
openapi: 3.1.0
info:
  description: The ConductorOne API is a HTTP API for managing ConductorOne resources.
  title: ConductorOne API
  version: 0.1.0-alpha
servers:
  - description: The ConductorOne API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/settings/session:
    get:
      tags:
        - Session Settings
      summary: Get
      description: Invokes the c1.api.settings.v1.SessionSettingsService.Get method.
      operationId: c1.api.settings.v1.SessionSettingsService.Get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.settings.v1.GetSessionSettingsResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: Get
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.SessionSettings.Get(ctx)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.GetSessionSettingsResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.sessionSettings.get();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.settings.v1.GetSessionSettingsResponse:
      description: The GetSessionSettingsResponse message.
      properties:
        sessionSettings:
          $ref: '#/components/schemas/c1.api.settings.v1.SessionSettings'
      title: Get Session Settings Response
      type: object
      x-speakeasy-name-override: GetSessionSettingsResponse
    c1.api.settings.v1.SessionSettings:
      description: The SessionSettings message.
      properties:
        connectorSource:
          $ref: '#/components/schemas/c1.api.settings.v1.CIDRRestriction'
        maxSessionLength:
          format: duration
          readOnly: false
          type: string
        pccAdminSource:
          $ref: '#/components/schemas/c1.api.settings.v1.CIDRRestriction'
        pccUserSource:
          $ref: '#/components/schemas/c1.api.settings.v1.CIDRRestriction'
        ssoAdminSource:
          $ref: '#/components/schemas/c1.api.settings.v1.CIDRRestriction'
        ssoUserSource:
          $ref: '#/components/schemas/c1.api.settings.v1.CIDRRestriction'
      title: Session Settings
      type: object
      x-speakeasy-name-override: SessionSettings
    c1.api.settings.v1.CIDRRestriction:
      description: The CIDRRestriction message.
      properties:
        enabled:
          description: The enabled field.
          readOnly: false
          type: boolean
        sourceCidr:
          description: The sourceCidr field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
      title: Cidr Restriction
      type: object
      x-speakeasy-name-override: CIDRRestriction
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````